Issue recurring - task #13

Redmine 4.x support
2019-01-23 15:10 - lupa18

Status: closed
Priority: feature
Assignee: cryptogopher
Category:

Target version: unspecified
Redmine version: unspecified
Description

Are you planning make the plugin works with redmine 4.x ?
I'm getting errors at least with method 'to_prepare’

History

#1 - 2019-01-24 15:02 - cryptogopher

Thank you for interest! Currently | don't have Redmine 4 installed, so it will take some time to run the tests + fix errors.

#2 - 2019-06-26 15:36 - lupa18

Hello ! Are you considering test with redmine 4 ? | think branch 3.x is arriving to end...

You can easy deploy 4.x redmine with docker :D

#3 - 2019-06-26 21:39 - cryptogopher

lupa18 wrote:

Hello ! Are you considering test with redmine 4 ? | think branch 3.x is arriving to end...

You can easy deploy 4.x redmine with docker :D

Yes, | already have Docker set up for development/testing. But | still didn't install Redmine 4 though... Anyway | will try to install it on weekend. | will
probably go with 4.0.4 as it's the newest. Which version are you currently running?

#4 - 2019-06-28 14:06 - lupa18

I still running 3.x branch, exactly 3.4.11 and I'm using official redmine image, so if | change to 4.x branch | will be in 4.0.4

thanks!

#5 - 2019-07-03 18:47 - cryptogopher

- Status changed from new to closed

lupa18 wrote:

I still running 3.x branch, exactly 3.4.11 and I'm using official redmine image, so if | change to 4.x branch | will be in 4.0.4

Plugin updated and tested with Redmine 4.0.4/ruby 2.4.6/Rails 5.2.3. You can checkout 1.2 tag/release from Github.

Closing issue for now. Please comment here if you'll find any errors.

#6 - 2019-07-05 22:57 - lupai8
Hello cryptogopher

I'm having this error:

app_1 | W, [2019-07-05T20:56:03.396637 #7] WARN —-- :

meration.system.
app_l | rake aborted!
Creating scope

:system.

Overwriting existing method Enu

1/3



it.michalczyk.pro/users/5

app_1 | ArgumentError: Missing " secret_key_base’ for 'production' environment, set this string with “rails cr
edentials:edit’

do u need more logs?
#7 - 2019-07-05 23:04 - cryptogopher
lupa18 wrote:

Hello cryptogopher
I'm having this error:
(-]

This doesn't look like plugin error. Did you run:

bundle exec rake generate_secret_token

as described in Redmine install guide https://www.redmine.org/projects/redmine/wiki/Redminelnstall#Step-5-Session-store-secret-generation ?

#8 - 2019-07-05 23:24 - lupai8

- File Dockerfile added

I'm using this Dockerfile (see attachment)

When uncomment issue_recurrent lines, | got the error.

If let it commented, then works well.

#9 - 2019-07-06 13:30 - cryptogopher

lupa18 wrote:
I'm using this Dockerfile (see attachment)
When uncomment issue_recurrent lines, | got the error.
If let it commented, then works well.

| still think that your Docker Redmine installation is not configured properly. Try to start docker container without plugin installation steps. Then log into

the container. Make sure, that all steps described in hitps:/www.redmine.org/projects/redmine/wiki/Redminelnstall are executed (especially the secret
generation step). Then install plugin and see if there are any errors.

Eventually try different Dockerfile, e.g. https://hub.docker.com/_/redmine (I didn't test it).

I'm running plugin in Redmine installation prepared according to Redmine guide (link above) and did not encounter such error.
#10 - 2019-07-08 19:32 - lupai8
It's weird, | fixed changing default run user to redmine.
thanks!
#11 - 2019-07-08 19:33 - cryptogopher
lupa18 wrote:
It's weird, | fixed changing default run user to redmine.

thanks!

Happy to hear it's working for you!

#12 - 2019-07-08 20:00 - lupai8
But when | put in a Dockerfile, then got it broke again.

So last sentence of this text is not working (from official docker image):

REDMINE_SECRET_KEY_BASE

2024-04-09 2/3


it.michalczyk.pro/users/5
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Step-5-Session-store-secret-generation
https://www.redmine.org/projects/redmine/wiki/RedmineInstall
https://hub.docker.com/_/redmine

This variable is used to create an initial config/secrets.yml and set the secret_key_base value, which is "used by Rails to encode cookies storing
session data thus preventing their tampering. Generating a new secret token invalidates all existing sessions after restart" (session store). If you

do not set this variable or provide a secrets.yml one will be generated using rake generate_secret_token.

So | set an explicit key using that env variable and now it works !

#13 - 2023-06-08 15:22 - admin

- Priority changed from bug to feature

#14 - 2023-06-08 15:31 - admin
- Tracker changed from 2 to task
- Target version set to unspecified

- Redmine version set to unspecified

Files

Dockerfile 391 Bytes
